{ pkgs, ... }:
{
    services.udev.extraRules = ''
        # Keychron C2 function key fix
        SUBSYSTEMS=="input", ATTRS{name}=="Keychron Keychron C2", RUN+="${pkgs.bash}/bin/bash -c 'echo 0 > /sys/module/hid_apple/parameters/fnmode'"

        # EM8026 thermal printer
        SUBSYSTEM=="usb", ATTRS{idVendor}=="28e9", ATTRS{idProduct}=="0289", MODE="0660", GROUP="plugdev"
    '';
}
