{ config, pkgs, ... }:
{
    services.xserver = {
        enable = true;
        windowManager.bspwm.enable = true;
        displayManager = {
            lightdm.enable = true;
        };
    };
    services.displayManager = {
        defaultSession = "none+bspwm";
        autoLogin.enable = true;
        autoLogin.user = "waldi";
    };

    services.unclutter-xfixes = {
        enable = true;
    };

    environment.systemPackages = with pkgs; [
        rofi
        ranger
    ];
}
